#define _XTAL_FREQ 4000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/MAX6950/MAX6950.h"
#include "assets/DS18B20/DS18B20.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  ANSELH = 0;           // configure all PORTB pins as digital
  MAX6950_init();
  
  while(1)
  {
    signed int rawTemp = 0;
    
    if(ds18b20_read(&rawTemp))
    {
      signed int tempr = (signed int) (ds18b20_toFloat(rawTemp) * 10);
      MAX6950_displayNumber(tempr);
    }
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------